### Method

# Camel MimeParser init_with_fd

#### Declaration [src]

    gint
    camel_mime_parser_init_with_fd (
      CamelMimeParser* m,
      gint fd
    )

#### Description [src]

Initialise the scanner with an fd. The scanner’s offsets will be relative to the current file position of the file descriptor. As a result, seekable descritors should be seeked using the parser seek functions.

#### Parameters

`fd`

  Type: `gint`

  A valid file descriptor.

#### Return value

Type: `gint`

Returns -1 on error.